package com.loafle.overflow.container.general.crawler.impl.wmi;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.crawler.Crawler;
import com.loafle.overflow.model.sensorconfig.SensorConfig;

import java.util.Map;

public class WMICrawler implements Crawler {
  @Override
  public String name() {
    return "WMI";
  }

  @Override
  public String toString() {
    return "WMI Crawler";
  }

  @Override
  public void auth(Map<String, Object> authIMap) throws OverflowException {
    throw new OverflowException("Not implemented", null);
  }

  @Override
	public Map<String, String> get(SensorConfig sensorConfig) throws OverflowException {
        try {
            return WMICrawlerOS.getInstance().process(sensorConfig);
        } catch (Exception e) {
          throw new OverflowException("WMICrawler", e);
        }
	}
}
