package com.loafle.overflow.container.general.crawler.impl.database;

import com.google.gson.Gson;
import com.loafle.overflow.container.general.crawler.CrawlerTest;
import com.loafle.overflow.model.sensorconfig.SensorConfig;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Map;

public abstract class DatabaseCrawlerTest extends CrawlerTest {
//        //MySQL
//        info.setUrl("jdbc:mysql://192.168.1.215:3306"); // ?useSSL=true&verifyServerCertificate=false
//        info.setId("root");
//        info.setPw("qwe123");
//        info.setSSL(false);
//        info.setQuery("show session status");
//        //MSSQL
//        info.setUrl("jdbc:sqlserver://192.168.1.103:1433;"); //encrypt=false;trustServerCertificate=true"
//        info.setId("sa");
//        info.setPw("qwer5795");
//        info.setSSL(true);
//        info.setQuery("select * from master.dbo.sysprocesses");
//        //PGSQL
//        info.setUrl("jdbc:postgresql://192.168.1.107:5432/postgres");
//        info.setId("postgres");
//        info.setPw("!@#$qwer1234");
//        info.setSSL(false);
//        info.setQuery("select * from pg_stat_activity");
//        //Oracle
//        info.setUrl("jdbc:oracle:thin:@192.168.1.30:1521/oracle.loafle.com");
//        info.setId("sys as sysdba");
//        info.setPw("qwer5795QWER");
//        info.setSSL(false);
//        info.setQuery("select * from v$sysstat");
    protected SensorConfig getSensorConfig(String path) throws IOException {
        ClassLoader classLoader = getClass().getClassLoader();
        String filePath = classLoader.getResource(path).getFile();
        InputStreamReader inputStreamReader = new InputStreamReader(new FileInputStream(new File(filePath)));

        SensorConfig c = new Gson().fromJson(inputStreamReader, SensorConfig.class);
        return c;
    }

    protected void print(String s, Map<String, String> m) {

        System.out.println(s);

        for (Map.Entry<String, String> item : m.entrySet()) {
            System.out.println("key=" + item.getKey() +  " |||||||||||  value=" +  item.getValue());
        }
    }


}
