package com.loafle.overflow.container.general.crawler.impl.jmx.tomcat;

import com.google.gson.Gson;
import com.loafle.overflow.container.general.crawler.impl.jmx.JMXCrawler;
import com.loafle.overflow.container.general.crawler.impl.jmx.JMXCrawlerTest;
import com.loafle.overflow.model.sensorconfig.SensorConfig;

import org.junit.Ignore;
import org.junit.Test;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.Map;

import static org.junit.Assert.assertEquals;

public class TomcatCrawlerTest extends JMXCrawlerTest {

  @Test
  public void testSum() {
    assertEquals(1, 1);
  }

  @Ignore
  @Test
  public void TestDoCrawler() throws Exception {

    ClassLoader classLoader = getClass().getClassLoader();
    URL url = classLoader.getResource("config/tomcat/");
    String filePath = classLoader.getResource("config/tomcat/example1.json").getFile();

    InputStreamReader inputStreamReader = new InputStreamReader(new FileInputStream(new File(filePath)));

    SensorConfig c = new Gson().fromJson(inputStreamReader, SensorConfig.class);

    JMXCrawler cr = new JMXCrawler();
    Map<String, String> result = cr.get(c);

    print("", result);
  }

  //keytool -export -alias alias_name -keystore path_to_keystore_file -rfc -file path_to_certificate_file
  private void print(String s, Map<String, String> m) {
    System.out.println(s);

    for (Map.Entry<String, String> item : m.entrySet()) {
      System.out.println("key=" + item.getKey() + " |||||||||||  value=" + item.getValue());
    }
  }

  @Ignore
  @Test
  public void testParseObject() {
    String s = "org.apache.catalina.mbeans.ConnectorMBean[Catalina:type=Connector,port=8080]";

    int start = s.indexOf("[");
    int end = s.lastIndexOf("]");
    s = s.substring(start + 1, end);
    assertEquals("Catalina:type=Connector,port=8080", s);
  }
}
